Skip to main content
GET
/
api
/
v1
/
ideations
/
{ideation_id}
/
qa
List Ideation Qa
curl --request GET \
  --url https://api.example.com/api/v1/ideations/{ideation_id}/qa \
  --header 'Authorization: Bearer <token>'
[
  {
    "answer": "<string>",
    "answered_at": "2023-11-07T05:31:56Z",
    "answered_by": "<string>",
    "asked_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "ideation_id": "<string>",
    "question": "<string>",
    "allow_free_text": false,
    "choices": [
      {
        "id": "<string>",
        "label": "<string>"
      }
    ],
    "question_type": "text",
    "selected": [
      "<string>"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ideation_id
string
required

Response

Successful Response

answer
string | null
required
answered_at
string<date-time> | null
required
answered_by
string | null
required
asked_by
string
required
created_at
string<date-time>
required
id
string
required
ideation_id
string
required
question
string
required
allow_free_text
boolean
default:false
choices
IdeationQAChoiceOption · object[] | null
question_type
string
default:text
selected
string[] | null
Last modified on May 8, 2026